package androidx.media;

import X.AnonymousClass0GQ;
import X.C39551hZ;
import com.bytedance.covode.number.Covode;

public final class AudioAttributesImplBaseParcelizer {
    static {
        Covode.recordClassIndex(1320);
    }

    public static C39551hZ read(AnonymousClass0GQ r3) {
        C39551hZ r2 = new C39551hZ();
        r2.LIZ = r3.LIZIZ(r2.LIZ, 1);
        r2.LIZIZ = r3.LIZIZ(r2.LIZIZ, 2);
        r2.LIZJ = r3.LIZIZ(r2.LIZJ, 3);
        r2.LIZLLL = r3.LIZIZ(r2.LIZLLL, 4);
        return r2;
    }

    public static void write(C39551hZ r2, AnonymousClass0GQ r3) {
        r3.LIZ(r2.LIZ, 1);
        r3.LIZ(r2.LIZIZ, 2);
        r3.LIZ(r2.LIZJ, 3);
        r3.LIZ(r2.LIZLLL, 4);
    }
}
